node.js with Visual Studio 2013

Hi,

I am trying to install the couchbase node.js package on a windows 8.1 with VS 2013 machine.
I am receiving the following error that appears to be related to not have the VS 2012 installed. Can you point me to a solution?

$ npm install couchbase
npm http GET https://registry.npmjs.org/couchbase
npm http 304 https://registry.npmjs.org/couchbase
npm http GET https://registry.npmjs.org/bindings
npm http 304 https://registry.npmjs.org/bindings

> couchbase@1.0.1 install c:\Temp\NodeJS\node_modules\couchbase
> node-gyp rebuild

c:\Temp\NodeJS\node_modules\couchbase>node "c:\Program Files\nodejs\node_modules\npm\bin\node-gyp-bin\\..\..\node_modules\node-gyp\bin\node-gyp.js" re
build
Warning: Missing input files:
C:\couchbase\bin\libcouchbase.dll
Building the projects in this solution one at a time. To enable parallel build, please add the "/m" switch.
C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V120\Microsoft.Cpp.Platform.targets(64,5): error MSB8020: The build tools for Visual Studio 2012 (P
latform Toolset = 'v110') cannot be found. To build using the v110 build tools, please install Visual Studio 2012 build tools. Alternatively, you ma
y upgrade to the current Visual Studio tools by selecting the Project menu or right-click the solution, and then selecting "Upgrade Solution...". [c:
\Temp\NodeJS\node_modules\couchbase\build\couchbase_impl.vcxproj]
gyp ERR! build error
gyp ERR! stack Error: `C:\Program Files (x86)\MSBuild\12.0\bin\msbuild.exe` failed with exit code: 1
gyp ERR! stack at ChildProcess.onExit (c:\Program Files\nodejs\node_modules\npm\node_modules\node-gyp\lib\build.js:267:23)
gyp ERR! stack at ChildProcess.EventEmitter.emit (events.js:98:17)
gyp ERR! stack at Process.ChildProcess._handle.onexit (child_process.js:789:12)
gyp ERR! System Windows_NT 6.2.9200
gyp ERR! command "node" "c:\\Program Files\\nodejs\\node_modules\\npm\\node_modules\\node-gyp\\bin\\node-gyp.js" "rebuild"
gyp ERR! cwd c:\Temp\NodeJS\node_modules\couchbase
gyp ERR! node -v v0.10.21
gyp ERR! node-gyp -v v0.10.10
gyp ERR! not ok
npm ERR! weird error 1
npm ERR! not ok code 0

3 Answers

« Back to question.

I'd like to add that as of Node.js release 1.1.0, you should not longer need to have libcouchbase on your system already, and in most cases, you won't need to build at all, as it ships with pre-build binaries of the sdk.
Cheers, Brett

« Back to question.

I installed the libcouchbase as you told and according to this:
http://tugdualgrall.blogspot.com.br/2013/01/getting-started-with-couchba...

Now the only problem is update the solution so it can use the new version of msbuild (2013).

« Back to question.

Warning: Missing input files:
C:\couchbase\bin\libcouchbase.dll

Have you read this article http://www.couchbase.com/communities/nodejs/getting-started ?